
if OBJECT_ID('tesy_sp_var_nodo_distinta') is NOT NULL 
DROP PROCEDURE tesy_sp_var_nodo_distinta
go

create PROCEDURE tesy_sp_var_nodo_distinta  
 @c_magazzino varchar(3),  
 @c_articolo varchar(16),  
 @c_scheda varchar(8)  
AS  
SELECT COALESCE (AGM.fg_provenienza_preferenziale, AG.fg_provenienza_preferenziale) fg_provenienza_preferenziale,  
COALESCE(AGM.c_tipo_gestione, AG.c_tipo_gestione)  c_tipo_gestione  ,
A.modello
FROM articolo_scheda_tecnica AST  
INNER JOIN art_gestionali AG  
ON AG.n_id_interno = AST.n_id_gestionali  
inner join LAGcmp_art_generali A 
ON AST.c_articolo = A.c_articolo 
LEFT JOIN art_gestionali_magazzino AGM  
ON AGM.c_magazzino = AST.c_magazzino_ast  
AND AGM.c_articolo = AST.c_articolo  
AND AGM.c_scheda = AST.c_scheda_secondaria  
WHERE AST.c_magazzino_ast = @c_magazzino  
AND AST.c_articolo = @c_articolo  
AND AST.c_scheda = @c_scheda 
GO

IF NOT EXISTS (SELECT *
               FROM sysobjects a
               WHERE a.name = 'LAGcmp_art_generali'
                 and a.type = 'U') 
BEGIN
		CREATE TABLE LAGcmp_art_generali (
			   c_articolo varchar(16)  NOT NULL DEFAULT '*',
			   modello varchar(3) NULL )	

		ALTER TABLE LAGcmp_art_generali
			   ADD PRIMARY KEY (c_articolo)
END
GO

IF NOT EXISTS (SELECT *
               FROM sysobjects a
               WHERE a.name = 'LAGmicroonde'
                 and a.type = 'U') 
BEGIN
		CREATE TABLE LAGmicroonde (
			   c_gruppo_categoria_1 varchar(10)  NULL ,
			   c_valore_1 varchar(10)  NULL ,
			   chiave varchar(200) NOT NULL DEFAULT '',
			   delta_basso float  NULL ,
			   fg_valido integer  NULL ,
			   h_vano_max float NULL ,
			   h_vano_min float  NULL ,
			   rot_anta_eldom float NULL ,
			   h_frontale float  NULL ,
                           )	

		ALTER TABLE LAGmicroonde
			   ADD PRIMARY KEY (chiave)
END
GO


update inclus_esclus_legami 
set ds_gruppo = REPLACE(ds_gruppo,'°','')   
where ds_gruppo like '%°%'
GO